package com.foreverwin.mesnac.anomaly.service;

import com.foreverwin.mesnac.anomaly.dto.IntegrationLogDto;

import java.util.List;
import java.util.Map;

/**
 * @Description TODO
 * @Author zhaojiawei
 * @Since 2021-08-23
 */
public interface ReportService {
    List<IntegrationLogDto> findIntegrationLog(Map<String,Object> map);

    List<Map<String, Object>> partsManufacturing(Map<String,Object> map);

    List<Map<String, Object>> surplusReturnTable(String item, String itemDescription);

    List<Map<String, Object>> resourceRepair(Map<String,Object> map);

    /**
     * 查询质量检验任务
     *
     * @param paramMap
     * @return
     */
    List<Map<String, Object>> findInspectionTask(Map paramMap);

    /**
     * 查询质检问题统计表
     * @param paramMap
     * @return
     */
    List<Map<String, Object>> findQualityInspectionReport(Map paramMap);

    /**
     * 查询异常记录表
     * @param paramMap
     * @return
     */
    List<Map<String, Object>> findAbnormalRecord(Map paramMap);
}
